/*
 *+--------------------------------------------------------------------------------------+
 *| Licensed Materials - Use restricted, please refer to the "Samples Gallery" terms and |
 *| conditions in the IBM International Program License Agreement.
 *| (C) Copyright IBM Corporation 2003, 2004. All Rights Reserved.						 |	
 *+--------------------------------------------------------------------------------------+
 */

package itso.ad.business.ejb.model;

import itso.ad.business.ejb.to.PiggyBankEJBAccountTO;
import itso.ad.business.framework.interfaces.to.IAccountTO;

/**
 * Bean implementation class for Enterprise Bean: Account
 */
public abstract class AccountBean implements javax.ejb.EntityBean {
	/**
	 * @return
	 * @!generated "UML to EJB (uml2.ejb.transformation)"
	 */
	public IAccountTO getData() {
		return new PiggyBankEJBAccountTO(getAccountNumber(), getBalance());
	}

	private javax.ejb.EntityContext myEntityCtx;

	/**
	 * setEntityContext
	 */
	public void setEntityContext(javax.ejb.EntityContext ctx) {
		myEntityCtx = ctx;
	}

	/**
	 * getEntityContext
	 */
	public javax.ejb.EntityContext getEntityContext() {
		return myEntityCtx;
	}

	/**
	 * unsetEntityContext
	 */
	public void unsetEntityContext() {
		myEntityCtx = null;
	}

	/**
	 * ejbCreate
	 */
	public itso.ad.business.ejb.model.AccountKey ejbCreate(
		java.lang.String accountNumber) throws javax.ejb.CreateException {
		setAccountNumber(accountNumber);
		return null;
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(java.lang.String accountNumber)
		throws javax.ejb.CreateException {
	}
	/**
	 * ejbActivate
	 */
	public void ejbActivate() {
	}

	/**
	 * ejbLoad
	 */
	public void ejbLoad() {
	}

	/**
	 * ejbPassivate
	 */
	public void ejbPassivate() {
	}

	/**
	 * ejbRemove
	 */
	public void ejbRemove() throws javax.ejb.RemoveException {
	}

	/**
	 * ejbStore
	 */
	public void ejbStore() {
	}

	/**
	 * Get accessor for persistent attribute: balance
	 */
	public abstract java.lang.Integer getBalance();

	/**
	 * Set accessor for persistent attribute: balance
	 */
	public abstract void setBalance(java.lang.Integer newBalance);

	/**
	 * Get accessor for persistent attribute: accountNumber
	 */
	public abstract java.lang.String getAccountNumber();

	/**
	 * Set accessor for persistent attribute: accountNumber
	 */
	public abstract void setAccountNumber(java.lang.String newAccountNumber);
	/**
	 * This method was generated for supporting the relationship role named theCustomer.
	 * It will be deleted/edited when the relationship is deleted/edited.
	 */
	public abstract itso.ad.business.ejb.model.CustomerLocal getTheCustomer();
	/**
	 * This method was generated for supporting the relationship role named theCustomer.
	 * It will be deleted/edited when the relationship is deleted/edited.
	 */
	public abstract void setTheCustomer(
		itso.ad.business.ejb.model.CustomerLocal aTheCustomer);
}