/*
 *+--------------------------------------------------------------------------------------+
 *| Licensed Materials - Use restricted, please refer to the "Samples Gallery" terms and |
 *| conditions in the IBM International Program License Agreement.
 *| (C) Copyright IBM Corporation 2003, 2004. All Rights Reserved.						 |	
 *+--------------------------------------------------------------------------------------+
 */

package itso.ad.business.ejb.model;
/**
 * Home interface for Enterprise Bean: Account
 */
public interface AccountHome extends javax.ejb.EJBHome {
	/**
	 * Creates an instance from a key for Entity Bean: Account
	 */
	public itso.ad.business.ejb.model.Account create(
		java.lang.String accountNumber)
		throws javax.ejb.CreateException,
		java.rmi.RemoteException;
	/**
	 * Finds an instance using a key for Entity Bean: Account
	 */
	public itso.ad.business.ejb.model.Account findByPrimaryKey(
		itso.ad.business.ejb.model.AccountKey primaryKey)
		throws javax.ejb.FinderException,
		java.rmi.RemoteException;
}