/*
 *+--------------------------------------------------------------------------------------+
 *| Licensed Materials - Use restricted, please refer to the "Samples Gallery" terms and |
 *| conditions in the IBM International Program License Agreement.						 |	
 *|  Copyright IBM Corporation 2003, 2004. All Rights Reserved.						 |
 *+--------------------------------------------------------------------------------------+
 */



package itso.ad.business.ejb.model;

import itso.ad.business.ejb.to.PiggyBankEJBCustomerTO;
import itso.ad.business.framework.interfaces.to.ICustomerTO;

/**
 * Bean implementation class for Enterprise Bean: Customer
 */
public abstract class CustomerBean implements javax.ejb.EntityBean {
	/**
	 * @return
	 * @!generated "UML to EJB (uml2.ejb.transformation)"
	 */
	public ICustomerTO getData() {
		return new PiggyBankEJBCustomerTO(getCustomerId(), getName());
	}

	private javax.ejb.EntityContext myEntityCtx;

	/**
	 * setEntityContext
	 */
	public void setEntityContext(javax.ejb.EntityContext ctx) {
		myEntityCtx = ctx;
	}

	/**
	 * getEntityContext
	 */
	public javax.ejb.EntityContext getEntityContext() {
		return myEntityCtx;
	}

	/**
	 * unsetEntityContext
	 */
	public void unsetEntityContext() {
		myEntityCtx = null;
	}

	/**
	 * ejbCreate
	 */
	public itso.ad.business.ejb.model.CustomerKey ejbCreate(
		java.lang.String customerId) throws javax.ejb.CreateException {
		setCustomerId(customerId);
		return null;
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(java.lang.String customerId)
		throws javax.ejb.CreateException {
	}
	/**
	 * ejbActivate
	 */
	public void ejbActivate() {
	}

	/**
	 * ejbLoad
	 */
	public void ejbLoad() {
	}

	/**
	 * ejbPassivate
	 */
	public void ejbPassivate() {
	}

	/**
	 * ejbRemove
	 */
	public void ejbRemove() throws javax.ejb.RemoveException {
	}

	/**
	 * ejbStore
	 */
	public void ejbStore() {
	}

	/**
	 * Get accessor for persistent attribute: name
	 */
	public abstract java.lang.String getName();

	/**
	 * Set accessor for persistent attribute: name
	 */
	public abstract void setName(java.lang.String newName);

	/**
	 * Get accessor for persistent attribute: customerId
	 */
	public abstract java.lang.String getCustomerId();

	/**
	 * Set accessor for persistent attribute: customerId
	 */
	public abstract void setCustomerId(java.lang.String newCustomerId);
	/**
	 * This method was generated for supporting the relationship role named accounts.
	 * It will be deleted/edited when the relationship is deleted/edited.
	 */
	public abstract java.util.Collection getAccounts();
	/**
	 * This method was generated for supporting the relationship role named accounts.
	 * It will be deleted/edited when the relationship is deleted/edited.
	 */
	public abstract void setAccounts(java.util.Collection anAccounts);
}